Foreman - Bug #13245

Apipie json returns duplicated methods
01/15/2016 10:55 AM - David Caro

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: API
Target version: 1.11.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases: 1.9.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3162
Description

When retrieving the apipie json file to get the api definition, it returns a duplicated method (exactly the same method for the same
resource with the same params overt the same http method):

For the full json file see
https://qgist.githubusercontent.com/fatmcgav/018a26acdf0aeb99b655/raw/e3f92d8c600a27893662336f6f1bdc5d3e9283¢3/1.9.2-v2.js
on

The extract:

"short_description": "List storage_domains for a compute resource",
"deprecated": null,

"http_method": "GET",

"api_url": "/api/compute_resources/:id/available_storage_domains"

13 {

"short_description": "List storage domains for a compute resource",
"deprecated": null,

"http_method": "GET",

"api_url"; "/api/compute_resources/:id/available_storage_domains"

b

It's not a big issue, but probably an indicator that something fishy is going on.

Related issues:
Related to Foreman - Feature #6756: expose vmware resource pools and folders ... Closed 07/23/2014

Associated revisions

Revision adc07e24 - 02/08/2016 06:01 AM - Shlomi Zadok

Fixes #13245 - Remove duplicate apipie description from compute_resources

History

#1 - 01/15/2016 10:57 AM - Dominic Cleal

- Related to Feature #6756: expose vmware resource pools and folders through API added

#2 - 01/15/2016 10:58 AM - Dominic Cleal
- Category set to API

- Difficulty set to trivial

There are two "api :GET" lines for exactly the same path in app/controllers/api/v2/compute_resources_controller.rb. The first (without N_()) should be
deleted.

#3 - 02/07/2016 04:49 AM - The Foreman Bot
- Status changed from New to Ready For Testing
https://gist.githubusercontent.com/fatmcgav/018a26acdf0aeb99b655/raw/e3f92d8c600a27893662336f6f1bdc5d3e9283c3/1.9.2-v2.json
https://gist.githubusercontent.com/fatmcgav/018a26acdf0aeb99b655/raw/e3f92d8c600a27893662336f6f1bdc5d3e9283c3/1.9.2-v2.json

- Assignee set to Shlomi Zadok
- Pull request https://github.com/theforeman/foreman/pull/3162 added

#4 - 02/08/2016 07:01 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset adc07e24c861204a759c08d915da2669ebb4127d.

#5 - 02/08/2016 07:08 AM - Dominic Cleal

- translation missing: en.field_release set to 71
